CHOWN(1)

NAME
chown, chgrp - change owner or group

SYNOPSIS
chown [-hR] owner[:group] file ...

chgrp [-hR] group file ...

DESCRIPTION
Chown changes the owner of the files to owner, and, if group is present, the group-ID of the files to group. Both owner and group may be either a decimal UID / GID or a login / group name found in the password file.

Chgrp changes the group-ID of the files to group. The group may be either a decimal GID or a group name found in the group-ID file.

Both chown and chgrp accept the following options:

-h  When a symbolic link is encountered, change the owner and group of the link itself, rather than the file it refers to.

-R  Recursively descend into each file operand. Whether owner and group of a symbolic link are changed depends on the -h option, but the link is not followed otherwise.

FILES
/etc/passwd
/etc/group

SEE ALSO
chown(2), passwd(5), group(5)

NOTES
Permission to change owner and group is based either on historical System V behaviour, which is to allow the owner of the file or a privileged user a change to any value; or on historical BSD behaviour, which is to restrict changing the owner to a privileged user and changing the group to a group to which the file owner belongs.